import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class JDBCBatchClearMethodExample {

	public static void main(String[] args) {
		Connection conn = null;
		Statement stmt = null;
		try{			  
		      Class.forName("com.mysql.jdbc.Driver");		
		      conn = DriverManager.getConnection(
		    		  "jdbc:mysql://localhost:3306/roseindia_jdbc_tutorials","root","root");
		      try{
			    	 stmt = conn.createStatement();
			    	 
			    	 conn.setAutoCommit(false);
			    	 
			    	  String insertquery1 = "INSERT INTO user (user_id, user_name) VALUES(1,'Brijesh')";
			    	  stmt.addBatch(insertquery1);
			    	 
			    	  String insertquery2 = "INSERT INTO user (user_id, user_name) VALUES(2,'Raj')";
			    	  stmt.addBatch(insertquery2);
			    	  
			    	  stmt.clearBatch();
			    	 
			    	  String insertquery3 = "INSERT INTO user (user_id, user_name) VALUES(3,'Ankit')";
			    	  stmt.addBatch(insertquery3);
			    	  int[] NumberOfEffectedRows = stmt.executeBatch();
			    	  System.out.println("Number Of Effected Rows :" + NumberOfEffectedRows.length);
			    	 
			    	  conn.commit(); 
				    }
				    catch (SQLException s){
				    System.out.println("SQL Exception " + s);
				    }
				  }
				  catch (Exception e){
				    e.printStackTrace();
				  }	
		 }
}

